Subject: Re: bug#21393: cannot compile GNU emacs git (1 sep 2015)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Sep 2015 18:14:02 +0300

> Date: Tue, 01 Sep 2015 14:25:07 +0000
> From: Uwe Brauer <[email-masked]>
> 
> ftfont.c: In function ‘ftfont_drive_otf’:
> ftfont.c:2302: warning: assignment from incompatible pointer type
> ftfont.c:2303: error: incompatible types when assigning to type ‘MFLTGlyphFT’
> from type ‘MFLTGlyph’
> ftfont.c:2304: error: ‘MFLTGlyphFT’ has no member named ‘code’
> ftfont.c:2306: error: ‘MFLTGlyphFT’ has no member named ‘c’
> ftfont.c:2307: error: ‘MFLTGlyphFT’ has no member named ‘code’
> ftfont.c:2308: error: ‘MFLTGlyphFT’ has no member named ‘measured’
> ftfont.c:2311: error: ‘MFLTGlyphFT’ has no member named ‘from’
> ftfont.c:2312: error: ‘MFLTGlyphFT’ has no member named ‘to’
> ftfont.c:2324: error: ‘MFLTGlyphFT’ has no member named ‘from’
> ftfont.c:2325: error: ‘MFLTGlyphFT’ has no member named ‘to’
> ftfont.c:2331: warning: assignment from incompatible pointer type
> ftfont.c:2332: error: incompatible types when assigning to type ‘MFLTGlyphFT’
> from type ‘MFLTGlyph’
> ftfont.c:2333: error: ‘MFLTGlyphFT’ has no member named ‘code’
> ftfont.c:2335: error: ‘MFLTGlyphFT’ has no member named ‘c’
> ftfont.c:2336: error: ‘MFLTGlyphFT’ has no member named ‘code’
> ftfont.c:2337: error: ‘MFLTGlyphFT’ has no member named ‘measured’
> ftfont.c:2371: warning: assignment from incompatible pointer type
> ftfont.c:2440: error: ‘MFLTGlyphFT’ has no member named ‘code’
> ftfont.c:2442: error: ‘MFLTGlyphFT’ has no member named ‘code’
> ftfont.c:2450: error: ‘MFLTGlyphFT’ has no member named ‘from’
> ftfont.c:2451: error: ‘MFLTGlyphFT’ has no member named ‘to’
> ftfont.c:2454: error: ‘MFLTGlyphFT’ has no member named ‘from’
> ftfont.c:2455: error: ‘MFLTGlyphFT’ has no member named ‘from’
> ftfont.c:2456: error: ‘MFLTGlyphFT’ has no member named ‘to’
> ftfont.c:2457: error: ‘MFLTGlyphFT’ has no member named ‘to’
> ftfont.c:2461: error: ‘MFLTGlyphFT’ has no member named ‘from’
> ftfont.c:2462: error: ‘MFLTGlyphFT’ has no member named ‘to’
> make[2]: *** [ftfont.o] Error 1
> make[2]: Leaving directory `/home/oub/src/emacs/src'
> make[1]: *** [src] Error 2
> make[1]: Leaving directory `/home/oub/src/emacs'
> make: *** [bootstrap] Error 2

What version of the m17n-flt library do you have installed?  (The
version appears in the m17n-core.h header file.)